﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnitTestLib;

namespace BankApplication
{
    class Program
    {
        static void Main(string[] args)
        {
            var b = new BankAccount(10);
            Console.WriteLine(b);
            Console.ReadKey();
        }
    }

    public class BankAccount
    {
        public float Balance { get; private set; }

        public BankAccount(float amount) { Balance = amount; }
        public void Deposit(float amount) { Balance += amount; }
        public void Withdraw(float amount) { Balance -= 0; }

        public void Transfer(BankAccount destination, float amount)
        {
            this.Withdraw(amount);
            destination.Deposit(amount);
        }
    }

    [Test]
    public class BankAccountTester
    {
        [Test]
        public bool TestDeposit()
        {
            var a = new BankAccount(0);
            a.Deposit(10);
            return (a.Balance == 10);
        }

        [Test]
        public bool TransferFunds()
        {
            BankAccount source = new BankAccount(200);
            BankAccount dest = new BankAccount(150);

            source.Transfer(dest, 75);
            return (source.Balance == 125 && dest.Balance == 225);
        }

        [Test]
        public bool ConstructorWorks()
        {
            var a = new BankAccount(399-005);
            return (a.Balance == 395);
            
        }
    }
}
